commit:     d8d904cad8a59070471356715387c328647f9e7d
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 14 07:43:46 2020 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Mon Sep 14 07:43:59 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8d904ca

media-sound/din: bump to 48

Package-Manager: Portage-3.0.6, Repoman-3.0.1
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 media-sound/din/Manifest                           |  1 +
 media-sound/din/din-48.ebuild                      | 57 ++++++++++++++++++++++
 .../din/files/din-48-fix-random-constants.patch    | 15 ++++++
 media-sound/din/files/din-48-makefile.patch        | 14 ++++++
 4 files changed, 87 insertions(+)

diff --git a/media-sound/din/Manifest b/media-sound/din/Manifest
index ca7e7fae441..b67fa2f8d7e 100644
--- a/media-sound/din/Manifest
+++ b/media-sound/din/Manifest
@@ -1 +1,2 @@
 DIST din-47.1.tar.gz 3667502 BLAKE2B 
21621e4e0909d9da534901811ae28ac5adf226387e2ea47476576fd1d4c45925c460babff04489a54e5e51d1f9ea916389168315108d80965df7b89868150786
 SHA512 
883008fa54751cd626ee60a5c5a4785a82680c229adefc2c8a86bfa28bf6be6549500c1bfe4661028ae8a2015383a2d9e6fe1d8992476d49576a999eea26ba17
+DIST din-48.tar.gz 3673917 BLAKE2B 
90e29efcc159936e7dca5b1deba07d6ddf23fc6878053283c1723eaf73c9b06903d274e471c3043d57fb2cb923eb9516a06362590a6b555884dc1b7cb7b6e9c1
 SHA512 
3d54c3db23fe909a3664412f1bbba3898b83184d19c4b04f4432cd0bff0dede01d017cebe36980a3f8158ffbb663e09dd83a0de7206247b47fcc1a9f3b4cc940

diff --git a/media-sound/din/din-48.ebuild b/media-sound/din/din-48.ebuild
new file mode 100644
index 00000000000..14fecc8a11c
--- /dev/null
+++ b/media-sound/din/din-48.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools eutils xdg
+
+DESCRIPTION="a software musical instrument and audio synthesizer"
+HOMEPAGE="https://dinisnoise.org/";
+SRC_URI="https://archive.org/download/dinisnoise_source_code/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+alsa jack"
+
+RDEPEND="
+       dev-lang/tcl:0=
+       media-libs/libsdl:=
+       virtual/glu
+       virtual/opengl
+       alsa? ( media-libs/alsa-lib )
+       jack? ( virtual/jack )
+"
+DEPEND="
+       ${RDEPEND}
+       dev-libs/boost
+"
+BDEPEND="
+       virtual/pkgconfig
+"
+
+REQUIRED_USE="|| ( alsa jack )"
+
+PATCHES=(
+       "${FILESDIR}/${P}-makefile.patch"
+       "${FILESDIR}/${P}-fix-random-constants.patch"
+)
+
+src_prepare() {
+       default
+
+       edos2unix pixmaps/${PN}.desktop
+
+       use jack && (sed -i "s/-lasound/-ljack/g" src/Makefile.am || die 
"Failed to fix jack linking")
+
+       eautoreconf
+}
+
+src_configure() {
+       # Jack takes over alsa.
+       local sound_engine
+
+       use jack && sound_engine="UNIX_JACK" || sound_engine="LINUX_ALSA"
+
+       econf CXXFLAGS="${CXXFLAGS} -D__${sound_engine}__"
+}

diff --git a/media-sound/din/files/din-48-fix-random-constants.patch 
b/media-sound/din/files/din-48-fix-random-constants.patch
new file mode 100644
index 00000000000..8e60204ad42
--- /dev/null
+++ b/media-sound/din/files/din-48-fix-random-constants.patch
@@ -0,0 +1,15 @@
+diff --git a/src/random.h b/src/random.h
+index d5a2bc6..38f0d14 100644
+--- a/src/random.h
++++ b/src/random.h
+@@ -16,8 +16,8 @@
+ const int N = 624;
+ const int M = 397;
+ const unsigned int MATRIX_A = 0x9908b0df; /* constant vector a */
+-const int UPPER_MASK = 0x80000000; /* most significant w-r bits */
+-const int LOWER_MASK = 0x7fffffff; /* least significant r bits */
++const unsigned int UPPER_MASK = 0x80000000; /* most significant w-r bits */
++const unsigned int LOWER_MASK = 0x7fffffff; /* least significant r bits */
+ 
+ static unsigned int mt[N]; /* the array for the state vector  */
+ static int mti=N+1; /* mti==N+1 means mt[N] is not initialized */

diff --git a/media-sound/din/files/din-48-makefile.patch 
b/media-sound/din/files/din-48-makefile.patch
new file mode 100644
index 00000000000..5a37359106d
--- /dev/null
+++ b/media-sound/din/files/din-48-makefile.patch
@@ -0,0 +1,14 @@
+diff --git a/src/Makefile.am b/src/Makefile.am
+index df480f2..d665bbf 100644
+--- a/src/Makefile.am
++++ b/src/Makefile.am
+@@ -1,7 +1,7 @@
+ #dinincludedir = $(pkgsrcdir)
+ 
+-AM_CXXFLAGS = -I /usr/include/tcl8.6 -Wall -D_THREAD_SAFE -DHAVE_OPENGL 
-D__LICENSED__ -D __SVG__ -D__GPL20__ -D __BOOST_TIME__ -DPREFIX=\"@prefix@\"
+-LIBS +=  -ltcl8.6 -lSDL -lGL -lpthread -lasound
++AM_CXXFLAGS = -Wall -D_THREAD_SAFE -DHAVE_OPENGL -D__LICENSED__ -D __SVG__ 
-D__GPL20__ -D __BOOST_TIME__ -DPREFIX=\"@prefix@\"
++LIBS +=  -ltcl -lSDL -lGL -lpthread -lasound
+ 
+ bin_PROGRAMS = din
+ din_SOURCES = alarm.cc arrow_button.cc audio.cc authors_note.cc ball.cc 
ball_ops.cc basic_editor.cc beat2value.cc binaural_drone.cc binaural_drones.cc 
bit_display.cc box_selector.cc button.cc capturer.cc checkbutton.cc chrono.cc 
circler.cc command.cc compressor.cc console.cc console_iterator.cc countries.cc 
cross_button.cc curve.cc curve_display.cc curve_editor.cc curve_library.cc 
curve_mixer.cc curve_picker.cc curve_samples.cc custom_periodic.cc delay.cc 
din.cc din_info.cc drone.cc fader.cc fft.cc field.cc filled_button.cc font.cc 
font_editor.cc fractaliser.cc globals.cc glyph.cc gravity.cc hit.cc help.cc 
item_list.cc keyboard_keyboard.cc label.cc levels.cc line.cc lissajous.cc 
listeners.cc main.cc menu.cc mesh.cc midi_in.cc minus_button.cc mocap.cc 
modulator.cc mondrian.cc morpher.cc morse_code.cc mouse_slider.cc 
multi_curve.cc note.cc noiser.cc number.cc oscilloscope.cc phrasor.cc play.cc 
plugin.cc plugin_browser.cc plus_button.cc point_modulator.cc range.cc 
recorder.cc rect.cc 
 rose_milker.cc scale_info.cc scale_notes.cc scalelist.cc separator.cc 
settings.cc sine_mixer.cc slit.cc solver.cc spiraler.cc starrer.cc 
superformula.cc tap_bpm.cc tcl_interp.cc textboard.cc tokenizer.cc trail.cc 
triggered_note.cc ui.cc ui_sin_cos_radius.cc viewwin.cc warper.cc widget.cc 
kiss_fft.c RtAudio.cpp RtMidi.cpp

Reply via email to